// ****************************************************************************************************
// 3rd Edition Dungeons and Dragon Treasure Generator
//    ( as illustrated in chart 7-4 )
//
// C Header File
// Created By: RageHeart
// ****************************************************************************************************
#ifndef TRGEN_H
  #define TRGEN_H
  #define OPTIMIZE_ROM_CALLS                          // Use ROM Call Optimization 
  #define NO_EXIT_SUPPORT                             // Make Program Smaller
  #define SAVE_SCREEN                                 // Save/Restore LCD Contents
  #define WAIT_KEYPRESS  ngetchx()                    // Wait for keypress
  #include <all.h>                                    // Include All Header Files
// Prototypes.
	void get_cr(void);
	unsigned short roll_dice(unsigned short sides,unsigned short times); 
	void coins(unsigned short cr,unsigned short times);
	void goods(unsigned short cr,unsigned short times);
	void mitems(unsigned short cr,unsigned short times);
	void cashout(void);
	void gengems(void);
	void genart(void);	
	
// Global Variables
	unsigned short _ti89, _ti92plus;                 // Compile for TI 89 and 92 calcs
	
	unsigned long  pp=0;						 // Uses unsigned long to hold maximum coin values (8,000 pp)
	unsigned long  gp=0;						 // Uses unsigned long to hold maximum coin values (64,000 gp)
	unsigned long  sp=0;						 // Uses unsigned long to hold maximum coin values (66,000 sp)
	unsigned long  cp=0;						 // Uses unsigned long to hold maximum coin values (240,000 cp)
	unsigned short cr=0;	
	unsigned short gems=0, art=0, mi=0, mimi=0, memi=0, mami=0;
#endif
